Loading...
Searching...
No Matches
Ogre::AutoParamDataSource Class Reference
Core » Materials

This utility class is used to hold the information used to generate the matrices and other information required to automatically populate GpuProgramParameters. More...

`#include <OgreAutoParamDataSource.h>`

Inheritance diagram for Ogre::AutoParamDataSource:
[legend]

## Public Member Functions

| AutoParamDataSource ()
const ColourValue & | getAmbientLightColour (void) const
const Affine3 * | getBoneMatrixArray (void) const
size_t | getBoneMatrixCount (void) const
const Vector4 & | getCameraPosition (void) const
const Vector4 & | getCameraPositionObjectSpace (void) const
const Vector4 | getCameraRelativePosition (void) const
Real | getCosTime_0_1 (Real x) const
Real | getCosTime_0_2Pi (Real x) const
Real | getCosTime_0_X (Real x) const
const Camera * | getCurrentCamera () const
| Returns the current bounded camera.
const Pass * | getCurrentPass (void) const
const Renderable * | getCurrentRenderable (void) const
const RenderTarget * | getCurrentRenderTarget (void) const
ColourValue | getDerivedAmbientLightColour (void) const
ColourValue | getDerivedSceneColour (void) const
float | getFarClipDistance () const
const ColourValue & | getFogColour (void) const
const Vector4f & | getFogParams (void) const
float | getFOV () const
Real | getFPS () const
Real | getFrameTime (void) const
Matrix4 | getInverseProjectionMatrix () const
Vector4f | getInverseTextureSize (size_t index) const
Matrix4 | getInverseTransposeProjectionMatrix () const
Matrix4 | getInverseTransposeViewMatrix () const
Matrix4 | getInverseTransposeViewProjMatrix () const
const Matrix4 & | getInverseTransposeWorldMatrix (void) const
const Matrix4 & | getInverseTransposeWorldViewMatrix (void) const
Matrix4 | getInverseTransposeWorldViewProjMatrix () const
const Affine3 & | getInverseViewMatrix (void) const
Real | getInverseViewportHeight () const
Real | getInverseViewportWidth () const
Matrix4 | getInverseViewProjMatrix (void) const
const Affine3 & | getInverseWorldMatrix (void) const
const Affine3 & | getInverseWorldViewMatrix (void) const
Matrix4 | getInverseWorldViewProjMatrix () const
Vector4 | getLightAs4DVector (size_t index) const
Vector4f | getLightAttenuation (size_t index) const
const Vector4f * | getLightAttenuationArray (size_t size) const
float | getLightCastsShadows (size_t index) const
float | getLightCount () const
const ColourValue & | getLightDiffuseColour (size_t index) const
const ColourValue * | getLightDiffuseColourPowerScaledArray (size_t size) const
const ColourValue | getLightDiffuseColourWithPower (size_t index) const
Vector3 | getLightDirection (size_t index) const
const Vector4f * | getLightDirectionViewSpaceArray (size_t size) const
float | getLightNumber (size_t index) const
| Get the light which is 'index'th closest to the current object.
Vector3 | getLightPosition (size_t index) const
const Vector4f * | getLightPositionViewSpaceArray (size_t size) const
Real | getLightPowerScale (size_t index) const
const ColourValue & | getLightSpecularColour (size_t index) const
const ColourValue | getLightSpecularColourWithPower (size_t index) const
const Vector4 & | getLodCameraPosition (void) const
const Vector4 & | getLodCameraPositionObjectSpace (void) const
int | getMaterialLodIndex () const
float | getNearClipDistance () const
Vector4f | getPackedTextureSize (size_t index) const
int | getPassNumber (void) const
const Vector4f & | getPointParams () const
Matrix4 | getProjectionMatrix (const Camera *cam) const
const Matrix4 & | getProjectionMatrix (void) const
const Vector4 & | getSceneDepthRange () const
const ColourValue & | getShadowColour () const
Real | getShadowExtrusionDistance (void) const
const Vector4 & | getShadowSceneDepthRange (size_t index) const
Real | getSinTime_0_1 (Real x) const
Real | getSinTime_0_2Pi (Real x) const
Real | getSinTime_0_X (Real x) const
Vector4f | getSpotlightParams (size_t index) const
const Vector4f * | getSpotlightParamsArray (size_t size) const
const Matrix4 & | getSpotlightViewProjMatrix (size_t index) const
const Matrix4 & | getSpotlightWorldViewProjMatrix (size_t index) const
Real | getSurfaceAlphaRejectionValue (void) const
const ColourValue & | getSurfaceAmbientColour (void) const
const ColourValue & | getSurfaceDiffuseColour (void) const
const ColourValue & | getSurfaceEmissiveColour (void) const
Real | getSurfaceShininess (void) const
const ColourValue & | getSurfaceSpecularColour (void) const
Real | getTanTime_0_1 (Real x) const
Real | getTanTime_0_2Pi (Real x) const
Real | getTanTime_0_X (Real x) const
Vector4f | getTextureSize (size_t index) const
const Matrix4 & | getTextureTransformMatrix (size_t index) const
const Matrix4 & | getTextureViewProjMatrix (size_t index) const
const Matrix4 & | getTextureWorldViewProjMatrix (size_t index) const
Real | getTime (void) const
Real | getTime_0_1 (Real x) const
Vector4f | getTime_0_1_packed (Real x) const
Real | getTime_0_2Pi (Real x) const
Vector4f | getTime_0_2Pi_packed (Real x) const
Real | getTime_0_X (Real x) const
Vector4f | getTime_0_X_packed (Real x) const
Matrix4 | getTransposeProjectionMatrix () const
Matrix4 | getTransposeViewMatrix () const
Matrix4 | getTransposeViewProjMatrix () const
Matrix4 | getTransposeWorldMatrix () const
Matrix4 | getTransposeWorldViewMatrix () const
Matrix4 | getTransposeWorldViewProjMatrix () const
Vector3 | getViewDirection () const
Affine3 | getViewMatrix (const Camera *cam) const
const Affine3 & | getViewMatrix (void) const
Real | getViewportHeight () const
Real | getViewportWidth () const
const Matrix4 & | getViewProjectionMatrix (void) const
Vector3 | getViewSideVector () const
Vector3 | getViewUpVector () const
const Affine3 & | getWorldMatrix (void) const
const Affine3 * | getWorldMatrixArray (void) const
size_t | getWorldMatrixCount (void) const
const Affine3 & | getWorldViewMatrix (void) const
Matrix4 | getWorldViewProjMatrix (size_t index) const
const Matrix4 & | getWorldViewProjMatrix (void) const
bool | hasLightList () const
void | incPassNumber (void)
void | setAmbientLightColour (const ColourValue &ambient)
void | setCameraArray (const std::vector< const Camera * > cameras)
void | setCurrentCamera (const Camera *cam, bool useCameraRelative)
| Updates the current camera.
void | setCurrentLightList (const LightList *ll)
| Sets the light list that should be used, and it's base index from the global list.
void | setCurrentPass (const Pass *pass)
| Sets the current pass.
void | setCurrentRenderable (const Renderable *rend)
| Updates the current renderable.
void | setCurrentRenderTarget (const RenderTarget *target)
| Sets the current render target.
void | setCurrentSceneManager (const SceneManager *sm)
| Set the current scene manager for enquiring on demand.
void | setCurrentViewport (const Viewport *viewport)
| Sets the current viewport.
void | setFog (FogMode mode, const ColourValue &colour, Real expDensity, Real linearStart, Real linearEnd)
void | setMainCamBoundsInfo (VisibleObjectsBoundsInfo *info)
| Sets the main camera's scene bounding information.
void | setPassNumber (const int passNumber)
void | setPointParameters (bool attenuation, const Vector4f &params)
void | setShadowColour (const ColourValue &colour)
void | setShadowDirLightExtrusionDistance (Real dist)
| Sets the shadow extrusion distance to be used for dir lights.
void | setShadowPointLightExtrusionDistance (Real dist)
| Sets the shadow extrusion distance to be used for point lights.
void | setTextureProjector (const Frustum *frust, size_t index)
| Sets the current texture projector for a index.
void | setWorldMatrices (const Affine3 *m, size_t count)
| Sets the world matrices, avoid query from renderable again.
void | updateLightCustomGpuParameter (const GpuProgramParameters::AutoConstantEntry &constantEntry, GpuProgramParameters *params) const

## Detailed Description

This utility class is used to hold the information used to generate the matrices and other information required to automatically populate GpuProgramParameters.

This class exercises a lazy-update scheme in order to avoid having to update all the information a GpuProgramParameters class could possibly want all the time. It relies on the SceneManager to update it when the base data has changed, and will calculate concatenated matrices etc only when required, passing back precalculated matrices when they are requested more than once when the underlying information has not altered.

## Constructor & Destructor Documentation

## AutoParamDataSource()

Ogre::AutoParamDataSource::AutoParamDataSource | ( |  | ) |

## Member Function Documentation

## setCurrentRenderable()

void Ogre::AutoParamDataSource::setCurrentRenderable | ( | const Renderable * | rend | ) |

Updates the current renderable.

## setWorldMatrices()

void Ogre::AutoParamDataSource::setWorldMatrices | ( | const Affine3 * | m,
|  | size_t | count )

Sets the world matrices, avoid query from renderable again.

## setCurrentCamera()

void Ogre::AutoParamDataSource::setCurrentCamera | ( | const Camera * | cam,
|  | bool | useCameraRelative )

Updates the current camera.

## setCameraArray()

void Ogre::AutoParamDataSource::setCameraArray | ( | const std::vector< const Camera * > | cameras | ) |

## setCurrentLightList()

void Ogre::AutoParamDataSource::setCurrentLightList | ( | const LightList * | ll | ) |

Sets the light list that should be used, and it's base index from the global list.

## setTextureProjector()

void Ogre::AutoParamDataSource::setTextureProjector | ( | const Frustum * | frust,
|  | size_t | index )

Sets the current texture projector for a index.

## setCurrentRenderTarget()

void Ogre::AutoParamDataSource::setCurrentRenderTarget | ( | const RenderTarget * | target | ) |

Sets the current render target.

## setCurrentViewport()

void Ogre::AutoParamDataSource::setCurrentViewport | ( | const Viewport * | viewport | ) |

Sets the current viewport.

## setShadowDirLightExtrusionDistance()

void Ogre::AutoParamDataSource::setShadowDirLightExtrusionDistance | ( | Real | dist | ) |

Sets the shadow extrusion distance to be used for dir lights.

## setShadowPointLightExtrusionDistance()

void Ogre::AutoParamDataSource::setShadowPointLightExtrusionDistance | ( | Real | dist | ) |

Sets the shadow extrusion distance to be used for point lights.

## setMainCamBoundsInfo()

void Ogre::AutoParamDataSource::setMainCamBoundsInfo | ( | VisibleObjectsBoundsInfo * | info | ) |

Sets the main camera's scene bounding information.

## setCurrentSceneManager()

void Ogre::AutoParamDataSource::setCurrentSceneManager | ( | const SceneManager * | sm | ) |

Set the current scene manager for enquiring on demand.

## setCurrentPass()

void Ogre::AutoParamDataSource::setCurrentPass | ( | const Pass * | pass | ) |

Sets the current pass.

## getCurrentCamera()

const Camera * Ogre::AutoParamDataSource::getCurrentCamera | ( |  | ) | const

Returns the current bounded camera.

## getWorldMatrix()

const Affine3 & Ogre::AutoParamDataSource::getWorldMatrix | ( | void |  | ) | const

## getBoneMatrixArray()

const Affine3 * Ogre::AutoParamDataSource::getBoneMatrixArray | ( | void |  | ) | const

Referenced by getWorldMatrixArray().

## getWorldMatrixArray()

const Affine3 * Ogre::AutoParamDataSource::getWorldMatrixArray | ( | void |  | ) | const

inline

References getBoneMatrixArray().

## getBoneMatrixCount()

size_t Ogre::AutoParamDataSource::getBoneMatrixCount | ( | void |  | ) | const

Referenced by getWorldMatrixCount().

## getWorldMatrixCount()

size_t Ogre::AutoParamDataSource::getWorldMatrixCount | ( | void |  | ) | const

inline

References getBoneMatrixCount().

## getViewMatrix() [1/2]

const Affine3 & Ogre::AutoParamDataSource::getViewMatrix | ( | void |  | ) | const

## getViewMatrix() [2/2]

Affine3 Ogre::AutoParamDataSource::getViewMatrix | ( | const Camera * | cam | ) | const

## getViewProjectionMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getViewProjectionMatrix | ( | void |  | ) | const

## getProjectionMatrix() [1/2]

const Matrix4 & Ogre::AutoParamDataSource::getProjectionMatrix | ( | void |  | ) | const

## getProjectionMatrix() [2/2]

Matrix4 Ogre::AutoParamDataSource::getProjectionMatrix | ( | const Camera * | cam | ) | const

## getWorldViewProjMatrix() [1/2]

const Matrix4 & Ogre::AutoParamDataSource::getWorldViewProjMatrix | ( | void |  | ) | const

## getWorldViewProjMatrix() [2/2]

Matrix4 Ogre::AutoParamDataSource::getWorldViewProjMatrix | ( | size_t | index | ) | const

## getWorldViewMatrix()

const Affine3 & Ogre::AutoParamDataSource::getWorldViewMatrix | ( | void |  | ) | const

## getInverseWorldMatrix()

const Affine3 & Ogre::AutoParamDataSource::getInverseWorldMatrix | ( | void |  | ) | const

## getInverseWorldViewMatrix()

const Affine3 & Ogre::AutoParamDataSource::getInverseWorldViewMatrix | ( | void |  | ) | const

## getInverseViewMatrix()

const Affine3 & Ogre::AutoParamDataSource::getInverseViewMatrix | ( | void |  | ) | const

## getInverseTransposeWorldMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getInverseTransposeWorldMatrix | ( | void |  | ) | const

## getInverseTransposeWorldViewMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getInverseTransposeWorldViewMatrix | ( | void |  | ) | const

## getCameraPosition()

const Vector4 & Ogre::AutoParamDataSource::getCameraPosition | ( | void |  | ) | const

## getCameraPositionObjectSpace()

const Vector4 & Ogre::AutoParamDataSource::getCameraPositionObjectSpace | ( | void |  | ) | const

## getCameraRelativePosition()

const Vector4 Ogre::AutoParamDataSource::getCameraRelativePosition | ( | void |  | ) | const

## getLodCameraPosition()

const Vector4 & Ogre::AutoParamDataSource::getLodCameraPosition | ( | void |  | ) | const

## getLodCameraPositionObjectSpace()

const Vector4 & Ogre::AutoParamDataSource::getLodCameraPositionObjectSpace | ( | void |  | ) | const

## hasLightList()

bool Ogre::AutoParamDataSource::hasLightList | ( |  | ) | const

inline

## getLightNumber()

float Ogre::AutoParamDataSource::getLightNumber | ( | size_t | index | ) | const

Get the light which is 'index'th closest to the current object.

## getLightCount()

float Ogre::AutoParamDataSource::getLightCount | ( |  | ) | const

## getLightCastsShadows()

float Ogre::AutoParamDataSource::getLightCastsShadows | ( | size_t | index | ) | const

## getLightDiffuseColour()

const ColourValue & Ogre::AutoParamDataSource::getLightDiffuseColour | ( | size_t | index | ) | const

## getLightSpecularColour()

const ColourValue & Ogre::AutoParamDataSource::getLightSpecularColour | ( | size_t | index | ) | const

## getLightDiffuseColourWithPower()

const ColourValue Ogre::AutoParamDataSource::getLightDiffuseColourWithPower | ( | size_t | index | ) | const

## getLightSpecularColourWithPower()

const ColourValue Ogre::AutoParamDataSource::getLightSpecularColourWithPower | ( | size_t | index | ) | const

## getLightPosition()

Vector3 Ogre::AutoParamDataSource::getLightPosition | ( | size_t | index | ) | const

## getLightAs4DVector()

Vector4 Ogre::AutoParamDataSource::getLightAs4DVector | ( | size_t | index | ) | const

## getLightDirection()

Vector3 Ogre::AutoParamDataSource::getLightDirection | ( | size_t | index | ) | const

## getLightPowerScale()

Real Ogre::AutoParamDataSource::getLightPowerScale | ( | size_t | index | ) | const

## getLightAttenuation()

Vector4f Ogre::AutoParamDataSource::getLightAttenuation | ( | size_t | index | ) | const

## getSpotlightParams()

Vector4f Ogre::AutoParamDataSource::getSpotlightParams | ( | size_t | index | ) | const

## getLightPositionViewSpaceArray()

const Vector4f * Ogre::AutoParamDataSource::getLightPositionViewSpaceArray | ( | size_t | size | ) | const

## getLightAttenuationArray()

const Vector4f * Ogre::AutoParamDataSource::getLightAttenuationArray | ( | size_t | size | ) | const

## getSpotlightParamsArray()

const Vector4f * Ogre::AutoParamDataSource::getSpotlightParamsArray | ( | size_t | size | ) | const

## getLightDirectionViewSpaceArray()

const Vector4f * Ogre::AutoParamDataSource::getLightDirectionViewSpaceArray | ( | size_t | size | ) | const

## getLightDiffuseColourPowerScaledArray()

const ColourValue * Ogre::AutoParamDataSource::getLightDiffuseColourPowerScaledArray | ( | size_t | size | ) | const

## setAmbientLightColour()

void Ogre::AutoParamDataSource::setAmbientLightColour | ( | const ColourValue & | ambient | ) |

## getAmbientLightColour()

const ColourValue & Ogre::AutoParamDataSource::getAmbientLightColour | ( | void |  | ) | const

## getSurfaceAmbientColour()

const ColourValue & Ogre::AutoParamDataSource::getSurfaceAmbientColour | ( | void |  | ) | const

## getSurfaceDiffuseColour()

const ColourValue & Ogre::AutoParamDataSource::getSurfaceDiffuseColour | ( | void |  | ) | const

## getSurfaceSpecularColour()

const ColourValue & Ogre::AutoParamDataSource::getSurfaceSpecularColour | ( | void |  | ) | const

## getSurfaceEmissiveColour()

const ColourValue & Ogre::AutoParamDataSource::getSurfaceEmissiveColour | ( | void |  | ) | const

## getSurfaceShininess()

Real Ogre::AutoParamDataSource::getSurfaceShininess | ( | void |  | ) | const

## getSurfaceAlphaRejectionValue()

Real Ogre::AutoParamDataSource::getSurfaceAlphaRejectionValue | ( | void |  | ) | const

## getDerivedAmbientLightColour()

ColourValue Ogre::AutoParamDataSource::getDerivedAmbientLightColour | ( | void |  | ) | const

## getDerivedSceneColour()

ColourValue Ogre::AutoParamDataSource::getDerivedSceneColour | ( | void |  | ) | const

## setFog()

void Ogre::AutoParamDataSource::setFog | ( | FogMode | mode,
|  | const ColourValue & | colour,
|  | Real | expDensity,
|  | Real | linearStart,
|  | Real | linearEnd )

## getFogColour()

const ColourValue & Ogre::AutoParamDataSource::getFogColour | ( | void |  | ) | const

## getFogParams()

const Vector4f & Ogre::AutoParamDataSource::getFogParams | ( | void |  | ) | const

## setPointParameters()

void Ogre::AutoParamDataSource::setPointParameters | ( | bool | attenuation,
|  | const Vector4f & | params )

## getPointParams()

const Vector4f & Ogre::AutoParamDataSource::getPointParams | ( |  | ) | const

## getTextureViewProjMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getTextureViewProjMatrix | ( | size_t | index | ) | const

## getTextureWorldViewProjMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getTextureWorldViewProjMatrix | ( | size_t | index | ) | const

## getSpotlightViewProjMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getSpotlightViewProjMatrix | ( | size_t | index | ) | const

## getSpotlightWorldViewProjMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getSpotlightWorldViewProjMatrix | ( | size_t | index | ) | const

## getTextureTransformMatrix()

const Matrix4 & Ogre::AutoParamDataSource::getTextureTransformMatrix | ( | size_t | index | ) | const

## getCurrentRenderTarget()

const RenderTarget * Ogre::AutoParamDataSource::getCurrentRenderTarget | ( | void |  | ) | const

## getCurrentRenderable()

const Renderable * Ogre::AutoParamDataSource::getCurrentRenderable | ( | void |  | ) | const

## getCurrentPass()

const Pass * Ogre::AutoParamDataSource::getCurrentPass | ( | void |  | ) | const

## getTextureSize()

Vector4f Ogre::AutoParamDataSource::getTextureSize | ( | size_t | index | ) | const

## getInverseTextureSize()

Vector4f Ogre::AutoParamDataSource::getInverseTextureSize | ( | size_t | index | ) | const

## getPackedTextureSize()

Vector4f Ogre::AutoParamDataSource::getPackedTextureSize | ( | size_t | index | ) | const

## getShadowExtrusionDistance()

Real Ogre::AutoParamDataSource::getShadowExtrusionDistance | ( | void |  | ) | const

## getSceneDepthRange()

const Vector4 & Ogre::AutoParamDataSource::getSceneDepthRange | ( |  | ) | const

## getShadowSceneDepthRange()

const Vector4 & Ogre::AutoParamDataSource::getShadowSceneDepthRange | ( | size_t | index | ) | const

## setShadowColour()

void Ogre::AutoParamDataSource::setShadowColour | ( | const ColourValue & | colour | ) |

## getShadowColour()

const ColourValue & Ogre::AutoParamDataSource::getShadowColour | ( |  | ) | const

## getInverseViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseViewProjMatrix | ( | void |  | ) | const

## getInverseTransposeViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeViewProjMatrix | ( |  | ) | const

## getTransposeViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeViewProjMatrix | ( |  | ) | const

## getTransposeViewMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeViewMatrix | ( |  | ) | const

## getInverseTransposeViewMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeViewMatrix | ( |  | ) | const

## getTransposeProjectionMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeProjectionMatrix | ( |  | ) | const

## getInverseProjectionMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseProjectionMatrix | ( |  | ) | const

## getInverseTransposeProjectionMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeProjectionMatrix | ( |  | ) | const

## getTransposeWorldViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldViewProjMatrix | ( |  | ) | const

## getInverseWorldViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseWorldViewProjMatrix | ( |  | ) | const

## getInverseTransposeWorldViewProjMatrix()

Matrix4 Ogre::AutoParamDataSource::getInverseTransposeWorldViewProjMatrix | ( |  | ) | const

## getTransposeWorldViewMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldViewMatrix | ( |  | ) | const

## getTransposeWorldMatrix()

Matrix4 Ogre::AutoParamDataSource::getTransposeWorldMatrix | ( |  | ) | const

## getTime()

Real Ogre::AutoParamDataSource::getTime | ( | void |  | ) | const

## getTime_0_X()

Real Ogre::AutoParamDataSource::getTime_0_X | ( | Real | x | ) | const

## getCosTime_0_X()

Real Ogre::AutoParamDataSource::getCosTime_0_X | ( | Real | x | ) | const

## getSinTime_0_X()

Real Ogre::AutoParamDataSource::getSinTime_0_X | ( | Real | x | ) | const

## getTanTime_0_X()

Real Ogre::AutoParamDataSource::getTanTime_0_X | ( | Real | x | ) | const

## getTime_0_X_packed()

Vector4f Ogre::AutoParamDataSource::getTime_0_X_packed | ( | Real | x | ) | const

## getTime_0_1()

Real Ogre::AutoParamDataSource::getTime_0_1 | ( | Real | x | ) | const

## getCosTime_0_1()

Real Ogre::AutoParamDataSource::getCosTime_0_1 | ( | Real | x | ) | const

## getSinTime_0_1()

Real Ogre::AutoParamDataSource::getSinTime_0_1 | ( | Real | x | ) | const

## getTanTime_0_1()

Real Ogre::AutoParamDataSource::getTanTime_0_1 | ( | Real | x | ) | const

## getTime_0_1_packed()

Vector4f Ogre::AutoParamDataSource::getTime_0_1_packed | ( | Real | x | ) | const

## getTime_0_2Pi()

Real Ogre::AutoParamDataSource::getTime_0_2Pi | ( | Real | x | ) | const

## getCosTime_0_2Pi()

Real Ogre::AutoParamDataSource::getCosTime_0_2Pi | ( | Real | x | ) | const

## getSinTime_0_2Pi()

Real Ogre::AutoParamDataSource::getSinTime_0_2Pi | ( | Real | x | ) | const

## getTanTime_0_2Pi()

Real Ogre::AutoParamDataSource::getTanTime_0_2Pi | ( | Real | x | ) | const

## getTime_0_2Pi_packed()

Vector4f Ogre::AutoParamDataSource::getTime_0_2Pi_packed | ( | Real | x | ) | const

## getFrameTime()

Real Ogre::AutoParamDataSource::getFrameTime | ( | void |  | ) | const

## getFPS()

Real Ogre::AutoParamDataSource::getFPS | ( |  | ) | const

## getViewportWidth()

Real Ogre::AutoParamDataSource::getViewportWidth | ( |  | ) | const

## getViewportHeight()

Real Ogre::AutoParamDataSource::getViewportHeight | ( |  | ) | const

## getInverseViewportWidth()

Real Ogre::AutoParamDataSource::getInverseViewportWidth | ( |  | ) | const

## getInverseViewportHeight()

Real Ogre::AutoParamDataSource::getInverseViewportHeight | ( |  | ) | const

## getViewDirection()

Vector3 Ogre::AutoParamDataSource::getViewDirection | ( |  | ) | const

## getViewSideVector()

Vector3 Ogre::AutoParamDataSource::getViewSideVector | ( |  | ) | const

## getViewUpVector()

Vector3 Ogre::AutoParamDataSource::getViewUpVector | ( |  | ) | const

## getFOV()

float Ogre::AutoParamDataSource::getFOV | ( |  | ) | const

## getNearClipDistance()

float Ogre::AutoParamDataSource::getNearClipDistance | ( |  | ) | const

## getFarClipDistance()

float Ogre::AutoParamDataSource::getFarClipDistance | ( |  | ) | const

## getPassNumber()

int Ogre::AutoParamDataSource::getPassNumber | ( | void |  | ) | const

## getMaterialLodIndex()

int Ogre::AutoParamDataSource::getMaterialLodIndex | ( |  | ) | const

## setPassNumber()

void Ogre::AutoParamDataSource::setPassNumber | ( | const int | passNumber | ) |

## incPassNumber()

void Ogre::AutoParamDataSource::incPassNumber | ( | void |  | ) |

## updateLightCustomGpuParameter()

void Ogre::AutoParamDataSource::updateLightCustomGpuParameter | ( | const GpuProgramParameters::AutoConstantEntry & | constantEntry,
|  | GpuProgramParameters * | params ) const

The documentation for this class was generated from the following file:

- OgreAutoParamDataSource.h